Package org.apache.activemq.artemis.jms.client

## Class ActiveMQJMSConnectionFactory

- java.lang.Object
- - org.apache.activemq.artemis.jndi.JNDIStorable
  - - org.apache.activemq.artemis.jms.client.ActiveMQConnectionFactory
    - - org.apache.activemq.artemis.jms.client.ActiveMQJMSConnectionFactory

- All Implemented Interfaces:
    `java.io.Externalizable`, `java.io.Serializable`, `java.lang.AutoCloseable`, `javax.jms.ConnectionFactory`, `javax.jms.QueueConnectionFactory`, `javax.jms.TopicConnectionFactory`, `javax.jms.XAConnectionFactory`, `javax.naming.Referenceable`, `ConnectionFactoryOptions`

      public class ActiveMQJMSConnectionFactory
      extends ActiveMQConnectionFactory
      implements javax.jms.TopicConnectionFactory, javax.jms.QueueConnectionFactory

  ActiveMQ Artemis implementation of a JMS ConnectionFactory.

  This connection factory will use defaults defined by `DefaultConnectionProperties`.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ActiveMQJMSConnectionFactory()` |
    `ActiveMQJMSConnectionFactory​(boolean ha, DiscoveryGroupConfiguration groupConfiguration)` |
    `ActiveMQJMSConnectionFactory​(boolean ha, TransportConfiguration... initialConnectors)` |
    `ActiveMQJMSConnectionFactory​(java.lang.String uri)` |
    `ActiveMQJMSConnectionFactory​(java.lang.String uri, java.lang.String user, java.lang.String password)` |
    `ActiveMQJMSConnectionFactory​(ServerLocator serverLocator)` |

  - ### Method Summary

    - ### Methods inherited from class org.apache.activemq.artemis.jms.client.ActiveMQConnectionFactory

      `buildFromProperties, close, createConnection, createConnection, createConnectionInternal, createContext, createContext, createContext, createContext, createQueueConnection, createQueueConnection, createTopicConnection, createTopicConnection, createXAConnection, createXAConnection, createXAContext, createXAContext, createXAQueueConnection, createXAQueueConnection, createXATopicConnection, createXATopicConnection, getCallFailoverTimeout, getCallTimeout, getClientFailureCheckPeriod, getClientID, getConfirmationWindowSize, getConnectionLoadBalancingPolicyClassName, getConnectionTTL, getConsumerMaxRate, getConsumerWindowSize, getDeserializationBlackList, getDeserializationWhiteList, getDiscoveryGroupConfiguration, getDupsOKBatchSize, getFactoryType, getGroupID, getIncomingInterceptorList, getInitialConnectAttempts, getInitialMessagePacketSize, getMaxRetryInterval, getMinLargeMessageSize, getOutgoingInterceptorList, getPassword, getProducerMaxRate, getProducerWindowSize, getProtocolManagerFactoryStr, getReconnectAttempts, getRetryInterval, getRetryIntervalMultiplier, getScheduledThreadPoolMaxSize, getServerLocator, getStaticConnectors, getThreadPoolMaxSize, getTransactionBatchSize, getUser, isAutoGroup, isBlockOnAcknowledge, isBlockOnDurableSend, isBlockOnNonDurableSend, isCacheDestinations, isCacheLargeMessagesClient, isCompressLargeMessage, isEnable1xPrefixes, isEnableSharedClientID, isFailoverOnInitialConnection, isHA, isIgnoreJTA, isPreAcknowledge, isUseGlobalPools, isUseTopologyForLoadBalancing, makeReadOnly, populateProperties, readExternal, setAutoGroup, setBlockOnAcknowledge, setBlockOnDurableSend, setBlockOnNonDurableSend, setBrokerURL, setCacheDestinations, setCacheLargeMessagesClient, setCallFailoverTimeout, setCallTimeout, setClientFailureCheckPeriod, setClientID, setCompressLargeMessage, setConfirmationWindowSize, setConnectionLoadBalancingPolicyClassName, setConnectionTTL, setConsumerMaxRate, setConsumerWindowSize, setDeserializationBlackList, setDeserializationWhiteList, setDupsOKBatchSize, setEnable1xPrefixes, setEnableSharedClientID, setFailoverOnInitialConnection, setGroupID, setIgnoreJTA, setIncomingInterceptorList, setInitialConnectAttempts, setInitialMessagePacketSize, setMaxRetryInterval, setMinLargeMessageSize, setOutgoingInterceptorList, setPassword, setPreAcknowledge, setProducerMaxRate, setProducerWindowSize, setProtocolManagerFactoryStr, setReconnectAttempts, setRetryInterval, setRetryIntervalMultiplier, setScheduledThreadPoolMaxSize, setThreadPoolMaxSize, setTransactionBatchSize, setUseGlobalPools, setUser, setUseTopologyForLoadBalancing, toString, toURI, writeExternal`

    - ### Methods inherited from class org.apache.activemq.artemis.jndi.JNDIStorable

      `getReference, readObject, writeObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.ConnectionFactory

      `createConnection, createConnection, createContext, createContext, createContext, createContext`

    - ### Methods inherited from interface javax.jms.QueueConnectionFactory

      `createQueueConnection, createQueueConnection`

    - ### Methods inherited from interface javax.jms.TopicConnectionFactory

      `createTopicConnection, createTopicConnection`

- - ### Constructor Detail

    - #### ActiveMQJMSConnectionFactory

          public ActiveMQJMSConnectionFactory()

    - #### ActiveMQJMSConnectionFactory

          public ActiveMQJMSConnectionFactory​(java.lang.String uri)

    - #### ActiveMQJMSConnectionFactory

          public ActiveMQJMSConnectionFactory​(java.lang.String uri,
                                              java.lang.String user,
                                              java.lang.String password)

    - #### ActiveMQJMSConnectionFactory

          public ActiveMQJMSConnectionFactory​(ServerLocator serverLocator)

    - #### ActiveMQJMSConnectionFactory

          public ActiveMQJMSConnectionFactory​(boolean ha,
                                              DiscoveryGroupConfiguration groupConfiguration)

    - #### ActiveMQJMSConnectionFactory

          public ActiveMQJMSConnectionFactory​(boolean ha,
                                              TransportConfiguration... initialConnectors)